<?php

namespace AutoAdmin\Bundle\Content\Entity\Interfaces;

interface ContentReferenceInterface
{
    public function isPendingDelete(): bool;

    public function setPendingDelete(bool $pendingDelete): self;

    public function getReferencedSlug(): string;

    public function setReferencedSlug(string $referencedSlug): self;

    public function getReferencedAction(): string;

    public function setReferencedAction(string $referencedAction): self;

    public function getReferencedIdentifier(): ?int;

    public function setReferencedIdentifier(?int $referencedIdentifier): self;

    public function getReferencedLocale(): ?int;

    public function setReferencedLocale(?int $referencedLocale): self;
}
